Mautic Community Forums

Mautic 1.3.0 Released!

Howdy fellow Mauticians!



[h]NOTICE:[/h]

If you downloaded Mautic 1.3.0 before 8:00 PM CST March 1st 2016, you may have an issue with your installation. If you do, please re-download the complete install package from https://mautic.org/download/ and try the installation again.

––––––––––––––––––––––––––––––––––––



We’ve released 1.3.0! The release comes with a few bug fixes and some great new features.



A few things to note about this release:


  1. I know we said 1.2.4 would be the last release to support PHP 5.3, but this release also supports it, due to a better understanding of Semantic Versioning. We’ve come to believe that bumping the minimum PHP requirement in a minor release like this could be considered a break in backwards compatibility, so we don’t want to leave any existing 1.2.4 users out in the cold (a small percentage still use PHP 5.3). Also of note, this is the last minor release in the 1.x series (there will be no 1.4.0), but we may have a couple more bug-fix releases in the 1.3.x release series.


  2. Twig support has been added for Themes! You can now write your themes using the Twig templating language instead of PHP, although traditional PHP templates are still supported. This feature is to pave the way for custom themes on hosted mautic.com sites, and moves us closer to releasing the Mautic Marketplace where you can download custom themes and plugins!


  3. Leads now received emails with customized signatures based on their lead owner. You’ll find a new Signature field on your profile page where you can enter your customized signature.


  4. Review the entire changelog at https://github.com/mautic/mautic/releases/tag/1.3.0.



    To update, login to Mautic (if you are already logged in, logout and back in). You should see a new notification announcing the update is available similar to the following:



    update_available.png



    Click Update Now and follow the prompts.



    Happy Marketing!

[quote=8822:@petr.nvoak]While trying to update, I am getting all the time this error message:
The Mautic update could not complete successfully because of the following error: Could not extract the contents of the ZIP archive to the filesystem.
Dont know why. On same domain is installed Wordpress with is able to download and extract ZIP files. Any suggestions how to update manually? Thanks[/quote]

Same error with me.

“The Mautic update could not complete successfully because of the following error: Could not extract the contents of the ZIP archive to the filesystem.”

While trying to update, I am getting all the time this error message:
The Mautic update could not complete successfully because of the following error: Could not extract the contents of the ZIP archive to the filesystem.
Dont know why. On same domain is installed Wordpress with is able to download and extract ZIP files. Any suggestions how to update manually? Thanks

Howdy fellow Mauticians!

[h]NOTICE:[/h]
If you downloaded Mautic 1.3.0 before 8:00 PM CST March 1st 2016, you may have an issue with your installation. If you do, please re-download the complete install package from https://mautic.org/download/ and try the installation again.
––––––––––––––––––––––––––––––––––––

We’ve released 1.3.0! The release comes with a few bug fixes and some great new features.

A few things to note about this release:

  1. I know we said 1.2.4 would be the last release to support PHP 5.3, but this release also supports it, due to a better understanding of Semantic Versioning. We’ve come to believe that bumping the minimum PHP requirement in a minor release like this could be considered a break in backwards compatibility, so we don’t want to leave any existing 1.2.4 users out in the cold (a small percentage still use PHP 5.3). Also of note, this is the last minor release in the 1.x series (there will be no 1.4.0), but we may have a couple more bug-fix releases in the 1.3.x release series.

  2. Twig support has been added for Themes! You can now write your themes using the Twig templating language instead of PHP, although traditional PHP templates are still supported. This feature is to pave the way for custom themes on hosted mautic.com sites, and moves us closer to releasing the Mautic Marketplace where you can download custom themes and plugins!

  3. Leads now received emails with customized signatures based on their lead owner. You’ll find a new Signature field on your profile page where you can enter your customized signature.

  4. Review the entire changelog at https://github.com/mautic/mautic/releases/tag/1.3.0.

To update, login to Mautic (if you are already logged in, logout and back in). You should see a new notification announcing the update is available similar to the following:

Click Update Now and follow the prompts.

Happy Marketing!

Awesome news - thanks

Great news !
Congratulations and thanks !

Great Job!

Hi, the plugins doesn’t work.

After updating my dashboard is completely down. Having this error, i’m not the only one
https://www.mautic.org/community/index.php/2871-mautic-dashboard-is-inaccessible/

Found the solution, you have to manually clear the cache. Would be nice if the upgrade script would delete it during the upgrade process.

“Try to clear the cache by removing the app/cache folder. It will regenerate again when you refresh Mautic.”

@jd26 Can you provide more detail please?

Hello,
My upgrade process is stuck on an item with lubricating cache. So we manually cache FTP greased and mautic one, just do not sign him.

There was also some upgrade to DB during the upgrade, which could be causing my problem.

Can you think of how Mautic after upgrading work again?

Hey I installed Mautic using softaculous. Should I wait for it to reflect there or should i directly update?

You can upgrade directly with this release in the 1.x series. Check the notifications area for the link :slight_smile:

Clear new installation.

Fatal error: Class ‘SymfonyBundleTwigBundleTwigBundle’ not found in /web/htdocs1/iekdcz/home/www/app/AppKernel.php on line 135

@tomaskrizcz - We discovered an error in the build process and fixed the issue. Please re-download the software and try your install again. I’m very sorry about this. Thanks for finding it so soon!

I just did that and now it says site is offline with this error
Please help

Fatal error: require(): Failed opening required ‘/app/cache/prod/doctrine/orm/Proxies/__CG__MauticCategoryBundleEntityCategory.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /vendor/doctrine/common/lib/Doctrine/Common/Proxy/AbstractProxyFactory.php on line 207

[quote=8572:@mkgarg]I just did that and now it says site is offline with this error
Please help

Fatal error: require(): Failed opening required ‘/app/cache/prod/doctrine/orm/Proxies/__CG__MauticCategoryBundleEntityCategory.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /vendor/doctrine/common/lib/Doctrine/Common/Proxy/AbstractProxyFactory.php on line 207[/quote]

Try to delete the app/cache/prod folder. This seems to work for some (https://www.mautic.org/community/index.php/2871-mautic-dashboard-is-inaccessible/</del>)

Hi,

I just updated Mautic this morning and it’s no longer allowing me to access the email panel. When I click on it the progress bar at the top flashes but nothing then happens. If I try and go directly to the URL I get this message saying “The site is currently offline due to encountering an error. If the problem persists, please contact the system administrator.”

Could anybody help me out?

Edit: nevermind, I deleted the cache folder and now everything’s fine and dandy :slight_smile:

same here - email panel, forms - dont work

Congratulations to the team, it’s amazing the number of companies is growing because of the Mautic